Bug 188818 - [PATCH] biology/py-biopython: stage
Summary: [PATCH] biology/py-biopython: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-20 11:10 UTC by Bartek Rutkowski
Modified: 2014-04-27 03:00 UTC (History)
1 user (show)

See Also:


Attachments
py-biopython-1.60.patch (480 bytes, patch)
2014-04-20 11:10 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-20 11:10:00 UTC
- Stage
- Drop easy_install
- Use auto pkg-plist
- Delete pkg-plist

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-biopython/1.60_3/

Port maintainer (mauricio@arareko.net) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-20 11:10:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-20 11:10:06 UTC
Maintainer of biology/py-biopython,

Please note that PR ports/188818 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188818

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-20 11:10:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-04-27 02:59:51 UTC
Author: swills
Date: Sun Apr 27 01:59:47 2014
New Revision: 352389
URL: http://svnweb.freebsd.org/changeset/ports/352389
QAT: https://qat.redports.org/buildarchive/r352389/

Log:
  - Stage
  - Drop easy_install
  - Use auto pkg-plist
  - Delete pkg-plist
  
  PR:		ports/188818
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr@ (blanket)

Deleted:
  head/biology/py-biopython/pkg-plist
Modified:
  head/biology/py-biopython/Makefile

Modified: head/biology/py-biopython/Makefile
==============================================================================
--- head/biology/py-biopython/Makefile	Sun Apr 27 00:40:18 2014	(r352388)
+++ head/biology/py-biopython/Makefile	Sun Apr 27 01:59:47 2014	(r352389)
@@ -15,12 +15,11 @@ BUILD_DEPENDS=	${PYNUMPY}
 RUN_DEPENDS=	${PYNUMPY}
 
 USE_PYTHON=	2
-USE_PYDISTUTILS=	easy_install
-PYEASYINSTALL_ARCHDEP=	yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
 .if !defined(WITHOUT_REPORTLAB)
 RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}reportlab1>0:${PORTSDIR}/print/py-reportlab1
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-04-27 03:00:29 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!